Xbit
  1. Account Data
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Account Data

Get activation code history

POST
https://newsupport.xbit.pro/api/v1/account-data/code-history
Account Data
Retrieve a paginated list of activation codes for the authenticated user. Supports filtering by currency and redemption status, as well as text search within code values. Use pagination parameters (limit/offset) to navigate through results.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Returns user code history
Body

🟠401
🟠403
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/account-data/code-history' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "limit": 10,
    "offset": 0
}'
Response Response Example
200 - Example 1
{
    "count": 100,
    "codes": [
        {
            "id": "UA_LNeeVLNlmp8va",
            "amountInCents": 300,
            "currencyId": "UAH",
            "redeemedAt": "2021-09-13T14:34:29.075Z",
            "createdAt": "2021-09-13T14:34:29.075Z"
        }
    ]
}
Previous
Get account balances
Next
Activate a redeemable code
Built with